/* interface declaration for display.c */

#ifndef _DISPLAY_H
#define _DISPLAY_H

void display_clear();
int display_resize();
int display_lines();
int display_init(struct statics *statics);
void i_loadave(int mpid, double *avenrun);
void u_loadave(int mpid, double *avenrun);
void i_minibar(int (*formatter)(char *, int));
void u_minibar(int (*formatter)(char *, int));
void i_uptime(time_t *bt, time_t *tod);
void u_uptime(time_t *bt, time_t *tod);
void i_timeofday(time_t *tod);
void i_procstates(int total, int *brkdn);
void u_procstates(int total, int *brkdn);
void i_cpustates(int *states);
void u_cpustates(int *states);
void z_cpustates();
void i_kernel(int *stats);
void u_kernel(int *stats);
void i_memory(long *stats);
void u_memory(long *stats);
void i_swap(long *stats);
void u_swap(long *stats);
void i_message(struct timeval *now);
void u_message(struct timeval *now);
void i_header(char *text);
void u_header(char *text);
void i_process(int line, char *thisline);
void u_process(int line, char *newline);
void i_endscreen();
void u_endscreen();
void display_header(int t);
void new_message(char *msgfmt, ...);
void message_error(char *msgfmt, ...);
void message_mark();
void message_clear();
void message_expire();
void message_prompt(char *msgfmt, ...);
void message_prompt_plain(char *msgfmt, ...);
int readline(char *buffer, int size, int numeric);
void display_pagerstart();
void display_pagerend();
void display_pager(char *fmt, ...);

#endif
